## r-other-chbutils 0.1+git20171026.a226cee

=== DESCRIPTION ===
Package: CHBUtils
Title: "Useful utility functions used at the core"
Description: "Useful utility functions used at the core"
Version: 0.1
Authors@R: c(person("Rory", "Kirchner", email="rory.kirchner@gmail.com",
    role = c("aut", "cre", "ths")),
    person("John", "Hutchinson", email="jnhutchinson@gmail.com",
    role = c("aut")),
    person("Oliver", "Hofmann", email="ohofmann@hsph.harvard.edu",
    role = c("aut")),
    person("Brad", "Chapman", email="chapmanb@50mail.com",
    role = c("aut")),
    person("Meeta", "Mistry", email="meeta.mistry@gmail.com",
    role = c("aut")),
    person("Lorena", "Pantano", email="lorena.pantano@gmail.com",
    role = c("aut")))
Depends:
    R (>= 3.0.0)
License: "MIT"
LazyData: true
RoxygenNote: 5.0.1

=== debian/changelog ===
r-other-chbutils (0.1+git20171026.a226cee-1) unstable; urgency=medium

  * Initial release (closes: #931095)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jun 2019 09:43:51 +0200

=== debian/control ===
Source: r-other-chbutils
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-other-chbutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-other-chbutils.git
Homepage: https://github.com/hbc/CHBUtils

Package: r-other-chbutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities from Harvard School of Public Health Bioinformatics
 This GNU R package contains the following functions:
  chb_utils-package     chb_utils
  annotate_df           Annotate Dataframe containing Ensembl IDs with Gene
                        Symbols and Descriptions
  boxplotoutliers       Cel file IDs of intensity boxplot outlier arrays (in
                        characters).
  chb_utils             chb_utils
  col2rownames          add a column to a dataframe consisting of the
                        current rownames
  convertIDs            Get other Ids for genes in the same order
  create_report         Create report of QC
  getTFpairs            Get mouse TF-target pairs from opossum database
  get_biomart           Get biomart annotation from id
  ggheatmap             generate a heatmap + dendrograms, ggplot2 style
  ggheatmap.show        Display a ggheatmap
  ggplotDispEsts        Plot Dispersion Estimates - nicer ggplot version of
                        DESeq graph
  mds                   Plot MDS
  mdsplot.RGset         MDS (MultiDimensional Scaling) Plots
  nuseoutliers          Cel file IDs of intensity NUSE outlier arrays (in
                        characters).
  PCAplot.cds           Pairwise Principal Component Analysis Plots of
                        CountDataSet objects
  PCAplot.eset          Pairwise Principal Component Analysis Plots
                        Plots the differntially expressed genes on an MA
  plotDE                plot, ggplot style If adjusted pvalues are present,
                        colors those that pass cutoff red
  plot_dendro           ggplot based dendrogram plot
  print_enrichGO        Clean and print results from enrichGO
                        Plots the pvalue quantiles against the uniform
  qqplot_JH             distribution. If adjusted pvalues are present,
                        colors those that pass cutoff red
  rleoutliers           Cel file IDs of intensity RLE outlier arrays (in
                        characters).
  row2colnames          add a column to a dataframe consisting of the
                        current rownames
  runGO                 Run GO using clusterprofiler
  variance_by_component Plot PC importance
  volcano_density_plot  Create volcano plot from log2FC and adjusted pvalues
                        data frame
  write_report          Write report of QC

=== debian/watch ===
version=4

opts="mode=git,pretty=0.1+git%cd.%h" \
    https://github.com/hbc/CHBUtils.git HEAD

# https://github.com/hbc/CHBUtils/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
